## funyahoo-plusplus 0.1

=== Makefile ===

PIDGIN_TREE_TOP ?= ../pidgin-2.10.12
PIDGIN3_TREE_TOP ?= ../pidgin-main
LIBPURPLE_DIR ?= $(PIDGIN_TREE_TOP)/libpurple
WIN32_DEV_TOP ?= $(PIDGIN_TREE_TOP)/../win32-dev

WIN32_CC ?= $(WIN32_DEV_TOP)/mingw/bin/gcc

PROTOC_C ?= protoc-c
PKG_CONFIG ?= pkg-config

CFLAGS	?= -O2 -g -pipe -Wall
LDFLAGS ?= -Wl,-z,relro

# Do some nasty OS and purple version detection
ifeq ($(OS),Windows_NT)
  YAHOO_TARGET = libyahoo-plusplus.dll
  YAHOO_DEST = "$(PROGRAMFILES)/Pidgin/plugins"
  YAHOO_ICONS_DEST = "$(PROGRAMFILES)/Pidgin/pixmaps/pidgin/protocols"
else

  UNAME_S := $(shell uname -s)

  #.. There are special flags we need for OSX
  ifeq ($(UNAME_S), Darwin)
    #
    #.. /opt/local/include and subdirs are included here to ensure this compiles
    #   for folks using Macports.  I believe Homebrew uses /usr/local/include
    #   so things should "just work".  You *must* make sure your packages are
    #   all up to date or you will most likely get compilation errors.
    #
    INCLUDES = -I/opt/local/include -lz $(OS)

    CC = gcc
  else
    CC ?= gcc
  endif

  ifeq ($(shell $(PKG_CONFIG) --exists purple-3 2>/dev/null && echo "true"),)
    ifeq ($(shell $(PKG_CONFIG) --exists purple 2>/dev/null && echo "true"),)
      YAHOO_TARGET = FAILNOPURPLE
      YAHOO_DEST =
	  YAHOO_ICONS_DEST =
    else
      YAHOO_TARGET = libyahoo-plusplus.so
      YAHOO_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple`
	  YAHOO_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/protocols
    endif
  else
    YAHOO_TARGET = libyahoo-plusplus3.so
    YAHOO_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
	YAHOO_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
  endif
endif

WIN32_CFLAGS = -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -DENABLE_NLS -DPACKAGE_VERSION='"$(PLUGIN_VERSION)"' -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat
WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz
WIN32_PIDGIN2_CFLAGS = -I$(PIDGIN_TREE_TOP)/libpurple -I$(PIDGIN_TREE_TOP) $(WIN32_CFLAGS)
WIN32_PIDGIN3_CFLAGS = -I$(PIDGIN3_TREE_TOP)/libpurple -I$(PIDGIN3_TREE_TOP) -I$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_CFLAGS)
WIN32_PIDGIN2_LDFLAGS = -L$(PIDGIN_TREE_TOP)/libpurple $(WIN32_LDFLAGS)
WIN32_PIDGIN3_LDFLAGS = -L$(PIDGIN3_TREE_TOP)/libpurple -L$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_LDFLAGS) -lgplugin

C_FILES := 
PURPLE_COMPAT_FILES := 
PURPLE_C_FILES := libyahoo-plusplus.c $(C_FILES)



.PHONY:	all install FAILNOPURPLE clean

all: $(YAHOO_TARGET)

libyahoo-plusplus.so: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb

libyahoo-plusplus3.so: $(PURPLE_C_FILES)
	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 --libs --cflags` $(INCLUDES)  -g -ggdb

libyahoo-plusplus.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -shared -o $@ $^ $(WIN32_PIDGIN2_CFLAGS) $(WIN32_PIDGIN2_LDFLAGS) -Ipurple2compat

libyahoo-plusplus3.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -shared -o $@ $^ $(WIN32_PIDGIN3_CFLAGS) $(WIN32_PIDGIN3_LDFLAGS)

install: $(YAHOO_TARGET) 
	mkdir -p $(YAHOO_DEST)
	install -p $(YAHOO_TARGET) $(YAHOO_DEST)

FAILNOPURPLE:
	echo "You need libpurple development headers installed to be able to compile this plugin"

clean:
	rm -f $(YAHOO_TARGET)

=== debian/changelog ===
funyahoo-plusplus (0.1-0git20161017) mx; urgency=medium

  * Bug fixes for seq, ack, socket & Sync issues
  * Fix for 100% cpu use problem

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Mon, 17 Oct 2016 21:05:08 -0400

funyahoo-plusplus (0.1-0git20160904) mx; urgency=low

  * Initial debian packaging

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sun, 04 Aug 2016 11:06:31 -0400

=== debian/control ===
Source: funyahoo-plusplus
Priority: optional
Section: libs
Maintainer: Timothy E. Harris <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 7),
               libpurple-dev,
               libjson-glib-dev,
               libglib2.0-dev
Homepage: https://github.com/EionRobb/funyahoo-plusplus
Standards-Version: 3.9.8

Package: libfunyahoo-plusplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2016 Yahoo Messenger protocol C library
 A replacement Yahoo prpl (protocol plugin) for Pidgin/libpurple compatible with
 the new protocol enforced by Yahoo since Sept 2016
